# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentIdVersionsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'simple_models': 'ParametersexperimentVersionsimpleModels',
        'holdout_dataset_id': 'ParametersexperimentVersionholdoutDatasetId'
    }

    attribute_map = {
        'simple_models': 'simple_models',
        'holdout_dataset_id': 'holdout_dataset_id'
    }

    def __init__(self, simple_models=None, holdout_dataset_id=None):  # noqa: E501
        """ExperimentIdVersionsBody - a model defined in Swagger"""  # noqa: E501
        self._simple_models = None
        self._holdout_dataset_id = None
        self.discriminator = None
        if simple_models is not None:
            self.simple_models = simple_models
        if holdout_dataset_id is not None:
            self.holdout_dataset_id = holdout_dataset_id

    @property
    def simple_models(self):
        """Gets the simple_models of this ExperimentIdVersionsBody.  # noqa: E501


        :return: The simple_models of this ExperimentIdVersionsBody.  # noqa: E501
        :rtype: ParametersexperimentVersionsimpleModels
        """
        return self._simple_models

    @simple_models.setter
    def simple_models(self, simple_models):
        """Sets the simple_models of this ExperimentIdVersionsBody.


        :param simple_models: The simple_models of this ExperimentIdVersionsBody.  # noqa: E501
        :type: ParametersexperimentVersionsimpleModels
        """

        self._simple_models = simple_models

    @property
    def holdout_dataset_id(self):
        """Gets the holdout_dataset_id of this ExperimentIdVersionsBody.  # noqa: E501


        :return: The holdout_dataset_id of this ExperimentIdVersionsBody.  # noqa: E501
        :rtype: ParametersexperimentVersionholdoutDatasetId
        """
        return self._holdout_dataset_id

    @holdout_dataset_id.setter
    def holdout_dataset_id(self, holdout_dataset_id):
        """Sets the holdout_dataset_id of this ExperimentIdVersionsBody.


        :param holdout_dataset_id: The holdout_dataset_id of this ExperimentIdVersionsBody.  # noqa: E501
        :type: ParametersexperimentVersionholdoutDatasetId
        """

        self._holdout_dataset_id = holdout_dataset_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentIdVersionsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentIdVersionsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
